Subject: syntaxes: invalid times and dates

From: Hallvard B Furuseth <[email-masked]>
Date: Thu, 11 Dec 2003 12:47:55 +0100

I raised this before, but it seems to have slipped through the cracks:
http://www.openldap.org/lists/ietf-ldapbis/200306/msg00079.html

[Syntaxes] 3.3.13 (Generalized Time) and 3.3.34 (UTC Time) should allow
implementations to reject invalid dates like February 30, and maybe also
invalid leap seconds.  Or maybe they SHOULD reject invalid dates.

UTC Time should be considered to be in 'any century', i.e. February 29
should be accepted.

I have no idea if Julian dates should be accepted in pre-Gregorian
(whenever that is) years, or if Coordinated Universal Time applies the
Gregorian calendar all the way back to year 0000.  Do anyone know?

-- 
Hallvard